Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ConfirmProductInstanceRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.ConfirmProductInstanceRequest

    public class ConfirmProductInstanceRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ConfirmProductInstance operation`.

The ConfirmProductInstance operation returns true if the specified product code is attached to the specified instance. The operation returns false if the product code is not attached to the instance.

The ConfirmProductInstance operation can only be executed by the owner of the AMI. This feature is useful when an AMI owner is providing support and wants to verify whether a user's instance is eligible.

See Also:
  `AmazonEC2.confirmProductInstance(ConfirmProductInstanceRequest)`

Constructor Summary
`ConfirmProductInstanceRequest()`

Method Summary
`String` | `getInstanceId()` The ID of the instance to confirm.
`String` | `getProductCode()` The product code to confirm.
`void` | `setInstanceId(String instanceId)` The ID of the instance to confirm.
`void` | `setProductCode(String productCode)` The product code to confirm.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ConfirmProductInstanceRequest` | `withInstanceId(String instanceId)` The ID of the instance to confirm.
`ConfirmProductInstanceRequest` | `withProductCode(String productCode)` The product code to confirm.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfirmProductInstanceRequest

    public ConfirmProductInstanceRequest()

Method Detail

### getProductCode

    public String getProductCode()

  The product code to confirm.

  Returns:
    The product code to confirm.

### setProductCode

    public void setProductCode(String productCode)

  The product code to confirm.

  Parameters:
    `productCode` - The product code to confirm.

### withProductCode

    public ConfirmProductInstanceRequest withProductCode(String productCode)

  The product code to confirm.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCode` - The product code to confirm.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceId

    public String getInstanceId()

  The ID of the instance to confirm.

  Returns:
    The ID of the instance to confirm.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance to confirm.

  Parameters:
    `instanceId` - The ID of the instance to confirm.

### withInstanceId

    public ConfirmProductInstanceRequest withInstanceId(String instanceId)

  The ID of the instance to confirm.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance to confirm.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.